# 71. Mutace: Vytvořit zip archiv s "Notes"

Vygenerujte zip archiv s "Poznámkami" propojenými s vybranou entitou "VectorAnalysisMap", "SoilDataset" nebo "Field".

{% hint style="info" %}
Archiv obsahuje soubory \*.shp, \*.shx, \*.prj, \*.dbf.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutace ExportNotesData {
  exportData(input: {
    poznamky: [
      { 
        uuid: "<placeholder_for_vectoranalysismap_uuid>", 
        fieldUuid: "<placeholder_for_field_uuid>", 
        entita: VectorAnalysisMap 
      }    
    ]
  }) {
    archiveUrl
    zazipovanePoznamky {
      uuid
      fieldUuid
      status
    }
    ignorovanePoznamky {
      uuid
      fieldUuid
      status
    }
  }
}
```

{% endcode %}

Po provedení může uživatel GraphQL dotazu získat zip archiv z vlastnosti "archiveUrl" a exportovaný obsah s řádky "zipped" a "ignored".


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/cze/api-dokumentace/prehled-pozadavku-api-geopardu/71.-mutace-vytvorit-zip-archiv-s-notes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
